using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace LebedenkoHranitel.UserForms
{
    public partial class Form7 : Form
    {
        Login f1 = new Login();
        Database database = new Database();
        DateTime dat2;

        public Form7()
        {
            InitializeComponent();
        }
        private void dateTimePicker2_ValueChanged(object sender, EventArgs e)
        {
            dat2 = dateTimePicker2.Value.AddDays(15);
            dateTimePicker2.MaxDate = dat2;
            if (dateTimePicker2.MaxDate != dateTimePicker2.Value)
            {
                dateTimePicker2.MaxDate.AddDays(-15);
            }      
        }

        private void dateTimePicker1_ValueChanged(object sender, EventArgs e)
        {
            dateTimePicker2.MinDate = dateTimePicker1.Value;

            if (dateTimePicker1.Value < DateTime.Today)
            {
                MessageBox.Show("Нельзя выбрать уже проешдшую дату!", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            
        }

        private void Form7_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet1.Цель". При необходимости она может быть перемещена или удалена.
            this.цельTableAdapter.Fill(this.lEBSesDataSet1.Цель);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet1.ПодрФИо". При необходимости она может быть перемещена или удалена.
            this.подрФИоTableAdapter.Fill(this.lEBSesDataSet1.ПодрФИо);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Список_Сотрудников". При необходимости она может быть перемещена или удалена.
            this.список_СотрудниковTableAdapter.Fill(this.lEBSesDataSet.Список_Сотрудников);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Личное_Посещение". При необходимости она может быть перемещена или удалена.
            this.личное_ПосещениеTableAdapter.Fill(this.lEBSesDataSet.Личное_Посещение);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Личное_Посещение". При необходимости она может быть перемещена или удалена.
            this.личное_ПосещениеTableAdapter.Fill(this.lEBSesDataSet.Личное_Посещение);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Сотрудники". При необходимости она может быть перемещена или удалена.
            this.сотрудникиTableAdapter.Fill(this.lEBSesDataSet.Сотрудники);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Подразделение". При необходимости она может быть перемещена или удалена.
            
            
            

        }

        private void groupBox3_Enter(object sender, EventArgs e)
        {

        }

        private void button3_Click(object sender, EventArgs e)
        {
            string script = "INSERT INTO \"Личное Посещение\" (Фамилия, Имя, Отчество, Номер_Телефона,E_mail,Дата_Рождения,Серия,Номер,Назначение,Цель,Подразделение) VALUES (@Фамилия, @Имя, @Отчество, @Номер_Телефона,@E_mail,@Дата_Рождения,@Серия,@Номер,@Назначение,@Цель,@Подр)";
            string sotrscript = "INSERT INTO Сотрудники (ФИО_Клиента,Подразделение,ФИО,Срок_С,Срок_По) VALUES (@ФИО_К,@Подр,@ФИО_С,@СрокС,@СрокПо)";
            SqlCommand scmd = new SqlCommand(sotrscript, database.GetConnection());
            SqlCommand cmd = new SqlCommand(script, database.GetConnection());
            cmd.Parameters.AddWithValue("@Имя",имяTextBox.Text);
            cmd.Parameters.AddWithValue("@фамилия", фамилияTextBox.Text);
            cmd.Parameters.AddWithValue("@Отчество", отчествоTextBox.Text);
            cmd.Parameters.AddWithValue("@Дата_Рождения",дата_рожденияTextBox.Text);
            cmd.Parameters.AddWithValue("@Номер_Телефона", maskedTextBox1.Text);
            cmd.Parameters.AddWithValue("@E_mail", e_mailTextBox.Text);
            cmd.Parameters.AddWithValue("@Серия", maskedTextBox2.Text);
            cmd.Parameters.AddWithValue("@Номер", maskedTextBox3.Text);
            cmd.Parameters.AddWithValue("@Назначение", назначениеTextBox.Text);
            cmd.Parameters.AddWithValue("@Цель", comboBox1.Text);
            cmd.Parameters.AddWithValue("@Подр", comboBox2.Text);
            scmd.Parameters.AddWithValue("@ФИО_К", фамилияTextBox.Text);
            scmd.Parameters.AddWithValue("@Подр", comboBox2.Text);
            scmd.Parameters.AddWithValue("@ФИО_С", comboBox3.Text);
            scmd.Parameters.AddWithValue("@СрокС", dateTimePicker1.Value);
            scmd.Parameters.AddWithValue("@СрокПо", dateTimePicker2.Value);
            database.openConnection();
            cmd.ExecuteNonQuery();
            scmd.ExecuteNonQuery();
        }

        private void button2_Click(object sender, EventArgs e)
        {

        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
           
        }

        private void dateTimePicker3_ValueChanged(object sender, EventArgs e)
        {

        }

        private void textBox5_TextChanged(object sender, EventArgs e)
        {
            string querystring = "select Login from LoginUser where Login = '" + e_mailTextBox.Text + "'";
           // SqlCommand logcommand = new SqlCommand(querystring, database.GetConnection());
            SqlConnection myConnection = new SqlConnection(@"Data Source=class31000;Initial Catalog=LEBSes;Integrated Security=True;");
            myConnection.Open();
            SqlDataAdapter dataAdapter = new SqlDataAdapter(querystring, myConnection);
            DataTable email = new DataTable();
            dataAdapter.Fill(email);
            if (email.Rows.Count == 0)
            {
                label8.Text = "Такой почты \nне существует";
            }
            else
            {
                label8.Text = "Почта \nподтверждена";
            }
            myConnection.Close();
        }

        private void label18_Click(object sender, EventArgs e)
        {

        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void groupBox4_Enter(object sender, EventArgs e)
        {

        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {

        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void имяTextBox_TextChanged(object sender, EventArgs e)
        {

        }

        private void назначениеTextBox_TextChanged(object sender, EventArgs e)
        {

        }
    }
}

